<?php

namespace forge12\woocommerce\accessories {
    if (!defined('ABSPATH')) {
        exit;
    }

    /**
     * Class ReplacePlaceholder
     * Responsible to replace all placeholder with content
     *
     * @package forge12\woocommerce\accessories
     */
    class ReplacePlaceholder
    {
        /**
         * Replace the content with the requested placeholder
         * @param string $text
         * @param \WC_Product $product
         * @return string
         */
        public static function replace($text, $product)
        {
            $text = str_replace('[product_title]', '<strong>'.$product->get_title().'</strong>', $text);

            return $text;
        }
    }
}