<?php

namespace forge12\woocommerce\accessories {
    if(!defined('ABSPATH')){
        exit();
    }

    /**
     * Class Support
     */
    class Support
    {
        /**
         * @var null
         */
        private static $_instance = null;

        /**
         * @return Support|null
         */
        public static function getInstance(){
            if(self::$_instance == null){
                self::$_instance = new Support();
            }
            return self::$_instance;
        }

        private function __construct()
        {
            $settings = get_option('f12-woo-accesoire-cart-settings');
            if(is_array($settings) && (isset($settings['support']) && $settings['support'] != 0) || !isset($settings['support'])) {
                add_action('wp_footer', array($this, 'addLink'), 9999);
            }
        }

        public function addLink(){
            ?>
            <noscript><!-- Accessories Powered By Forge12 Interactive --><a title="WordPress Agentur" href="https://www.forge12.com/">Accessories by Forge12</a></noscript>
            <?php
        }
    }
}