<?php

use forge12\woocommerce\accessories\UIAccessoriesCart;

if (!defined('ABSPATH')) {
    exit;
}
/**
 * @var array $accessory_ids containing all accessories ids for the current product
 */
?>
<?php do_action('f12_woo_accessories_cart_before'); ?>
    <div class="f12-woo-accessories cart">
<?php
$settings = UIAccessoriesCart::getSettings();
$heading = apply_filters('f12_woo_accessories_cart_heading', __('Additional Accessories...', 'f12-woo-accessories'));

if ($heading) :

    ?>
    <<?php echo esc_attr($settings['title_type']); ?>><?php echo wp_kses($heading, ['strong' => array()]); ?></<?php echo esc_attr($settings['title_type']); ?>>
<?php endif;

$description = apply_filters('f12_woo_accessories_cart_description', '');

if (!empty($description)) {
    echo "<p>" . wp_kses($description, ['strong' => array()]) . "</p>";
}
?>

<?php woocommerce_product_loop_start(); ?>

<?php foreach ($accessory_ids as $product_id => $accessories) : ?>
    <?php foreach ($accessories as $accessory_id): ?>
        <?php
        $post_object = get_post($accessory_id);

        setup_postdata($GLOBALS['post'] =& $post_object); // phpcs:ignore WordPress.WP.GlobalVariablesOverride.Prohibited, Squiz.PHP.DisallowMultipleAssignments.Found

        wc_get_template_part('content', 'product');
        ?>
    <?php endforeach; ?>
<?php endforeach; ?>

<?php woocommerce_product_loop_end(); ?>
    </div>
<?php do_action('f12_woo_accessories_after'); ?>