<?php
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}
/**
 * @var array $accessoire_ids containing all accessories ids for the current product
 */
?>
<?php do_action('f12_woo_accessories_before'); ?>
    <div class="f12-woo-accessories">
<?php
$settings = \forge12\woocommerce\accessories\UIOptionalAccessories::getSettings();
$heading = apply_filters('f12_woo_accessories_products_heading', __('Accessories for this product...', 'f12-woo-accessories'), $product);

if ($heading) :

    ?>
    <<?php echo esc_attr($settings['title_type']); ?>><?php echo wp_kses($heading, ['strong' =>  array()]); ?></<?php echo esc_attr($settings['title_type']); ?>>
<?php endif;

$description = apply_filters('f12_woo_accessories_products_description','', $product);

if(!empty($description)){
    echo "<p>".wp_kses($description,['strong' => array()])."</p>";
}
?>

<?php woocommerce_product_loop_start(); ?>

<?php foreach ($accessoire_ids as $accessoire_id) : ?>

    <?php
    $post_object = get_post($accessoire_id);

    setup_postdata($GLOBALS['post'] =& $post_object); // phpcs:ignore WordPress.WP.GlobalVariablesOverride.Prohibited, Squiz.PHP.DisallowMultipleAssignments.Found

    wc_get_template_part('content', 'product');
    ?>

<?php endforeach; ?>

<?php woocommerce_product_loop_end(); ?>
    </div>
<?php do_action('f12_woo_accessories_after'); ?>